VTFONTCVT(8)

NAME
vtfontcvt - convert font files for use by the video console

SYNOPSIS
vtfontcvt [-nv] [-f format] [-h height] [-w width] -o output_file normal_font [bold_font]

DESCRIPTION
The vtfontcvt utility reads source font files in either BDF or Unifont HEX format and outputs a file in one of the available output formats.

HEX format files (normal_font and bold_font) must have the file extension .hex.

The following options are available:

-f format
    Specify the output format. Available formats are:

    compressed-source
        C source with font data compressed by using LZ4 compression method.

    font
        A binary font file (default).

    source
        C source.

    The output in C source is intended to be used to embed the font into program binary.

    The binary font file is for use by vt(4).

-h height
    Set font height. The default is 16. Font height is set automatically for BDF files and for HEX files that have a
        # Height: height
    comment before any font data.

-n  Do not apply output filtering with C source output.

-o output_file
    Specify the name for the output file.

-v  Display verbose statistics about the converted font.

-w width
    Set font width. The default is 8. Font width is set automatically for BDF files and for HEX files that have a
        # Width: width
    comment before any font data.

SEE ALSO
vidcontrol(1), vt(4)

HISTORY
The vtfontcvt utility first appeared in FreeBSD 10.1.